<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HacknetNodesFormulas](./bitburner.hacknetnodesformulas.md) &gt; [coreUpgradeCost](./bitburner.hacknetnodesformulas.coreupgradecost.md)

## HacknetNodesFormulas.coreUpgradeCost() method

Calculate cost of upgrading hacknet node cores.

<b>Signature:</b>

```typescript
coreUpgradeCost(startingCore: number, extraCores?: number, costMult?: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  startingCore | number | starting cores |
|  extraCores | number | amount of cores to purchase (defaults to 1) |
|  costMult | number | player cost reduction (default to 1) |

<b>Returns:</b>

number

The calculated cost.

